# CSS Extensions (Opera)

Opera browsers support a small number of extensions to CSS. These properties are prefixed with -o- or -op-.

The following table lists some of these CSS extensions:

Property Name / Description
-o-background-size Specifies the size of the background image
-o-text-overflow Specifies how to handle the overflowed area of text
-o-transform Allows modification of the coordinate space of the CSS visual formatting model. By modifying it, elements can be translated, rotated, scaled, and skewed.
-o-transform-origin Allows modification of the origin for transformations of an element.
-o-transition A shorthand property for -o-transition-property, -o-transition-duration, -o-transition-timing-function, and -o-transition-delay.
-o-transition-delay Specifies the number of seconds a transition animation should take to complete.
-o-transition-duration Specifies the number of seconds to wait between a change being requested to a property that is to be transitioned and the start of the transition effect.
-o-transition-property Specifies the names of CSS properties to which a transition effect should be applied.
-o-transition-timing-function Used to describe how the intermediate values of the CSS properties being affected by a transition effect are calculated.
-op-phonemes Specifies a phonetic pronunciation for the text contained by the corresponding element
-op-voice-pitch Specifies the average frequency of the speaking voice
-op-voice-pitch-range Specifies the variation from the average pitch of the voice
-op-voice-rate Specifies the number of spoken words per minute
-o-text-overflow Specifies how to handle the overflowed area of text
-op-voice-stress Specifies the strength of emphasis to be applied
-op-voice-volume Specifies the volume of a spoken element